#ifndef QGRAPHICSITEMARROW_H
#define QGRAPHICSITEMARROW_H
#include <QGraphicsLineItem>
class QGraphicsItemArrow : public QGraphicsLineItem
{
public:
    QGraphicsItemArrow(QGraphicsItem* startItem, QGraphicsItem* endItem);

    QRectF boundingRect() const override;
    void paint(QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget = Q_NULLPTR) override;

private:
    QGraphicsItem* m_startItem;
    QGraphicsItem* m_endItem;
};
#endif //QGRAPHICSITEMARROW_H